# Configuration file

client {
    # The amount of time in milliseconds (1000ms = 1s) between queries to the server for Tile Entity and Entity data. There is an enforced minimum of 250 (or every 1/4 of a second).
    I:waila.cfg.ratelimiter=250
}


general {
    I:waila.cfg.alpha=80
    I:waila.cfg.bgcolor=1048592
    S:waila.cfg.blocknameformat=\u00A7f%s
    S:waila.cfg.entitynameformat=\u00A7f%s
    S:waila.cfg.fluidnameformat=\u00A7f%s
    I:waila.cfg.fontcolor=10526880
    I:waila.cfg.gradient1=5243135
    I:waila.cfg.gradient2=2621567
    I:waila.cfg.heartsperline=20
    B:waila.cfg.hidefromdebug=false
    B:waila.cfg.hidefromlist=true
    B:waila.cfg.keybind=true
    B:waila.cfg.liquid=true
    I:waila.cfg.maxhpbeforetext=40
    B:waila.cfg.metadata=false
    S:waila.cfg.metadataformat=\u00A77[%s@%d]
    S:waila.cfg.modnameformat=\u00A79\u00A7o%s
    B:waila.cfg.newfilters=true
    I:waila.cfg.posx=5000
    I:waila.cfg.posy=100
    I:waila.cfg.scale=100
    B:waila.cfg.shiftblock=false
    B:waila.cfg.shiftents=false
    B:waila.cfg.show=true
    B:waila.cfg.showitem=true
    B:waila.cfg.showmode=true
    B:waila.cfg.tts=false
}


##########################################################################################################
# modules
#--------------------------------------------------------------------------------------------------------#
# Those are the config keys defined in modules.
# Server side, it is used to enforce keys client side using the next section.
##########################################################################################################

modules {
    B:capability.energyinfo=false
    B:capability.tankinfo=false
    B:general.showcrop=true
    B:general.showents=true
    B:general.showhp=true
    B:general.showstates=false
    B:oc.address=true
    B:oc.componentName=true
    B:oc.energy=true
    B:tconstruct.casting=true
    B:tconstruct.progress=true
    B:tconstruct.tank=true
    B:vanilla.comparator=true
    B:vanilla.furnacedisplay=true
    B:vanilla.jukebox=true
    B:vanilla.leverstate=true
    B:vanilla.redstone=true
    B:vanilla.repeater=true
    B:vanilla.silverfish=true
    B:vanilla.spawntype=true
}


##########################################################################################################
# server_forcing
#--------------------------------------------------------------------------------------------------------#
# Any key set to true here will ensure that the client is using the configuration set in the 'module' section above.
# This is useful for enforcing false to 'cheating' keys like silverfish.
##########################################################################################################

server_forcing {
    B:capability.energyinfo=false
    B:capability.tankinfo=false
    B:general.showcrop=false
    B:general.showents=false
    B:general.showhp=false
    B:general.showstates=false
    B:oc.address=false
    B:oc.componentName=false
    B:oc.energy=false
    B:tconstruct.casting=false
    B:tconstruct.progress=false
    B:tconstruct.tank=false
    B:vanilla.comparator=false
    B:vanilla.furnacedisplay=false
    B:vanilla.jukebox=false
    B:vanilla.leverstate=false
    B:vanilla.redstone=false
    B:vanilla.repeater=false
    B:vanilla.silverfish=false
    B:vanilla.spawntype=false
}


